// pages/myinfo/suggest/suggest.js
let util = require('../../../utils/util.js');
var that
Page({

  /**
   * 页面的初始数据
   */
  data: {
    imgurl: util.imgurl,
    content: '',
    phone: '',
    qq: '',
    wechat: ''

  },
  setwechat(e) {
    this.setData({
      wechat: e.detail.value
    })
  },
  setqq(e) {
    this.setData({
      qq: e.detail.value
    })
  },
  setphone(e) {
    this.setData({
      phone: e.detail.value
    })
  },
  setcontent(e) {
    this.setData({
      content: e.detail.value
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    that = this
  },
  save() {
    if (!this.data.content) {
      util.showToast('请输入您的宝贵意见')
      return
    }
    if (!this.data.phone && !this.data.qq && !this.data.wechat) {
      util.showToast('请至少留下一种联系方式')
      return
    }
    if (this.data.phone && !util.checkPhone(this.data.phone)) {
      util.showToast('请输入正确的手机号码')
      return
    }
    util.query('opinion/wxapi/create', {
      content: this.data.content,
      phone: this.data.phone,
      qq: this.data.qq,
      wechat: this.data.wechat
    }, function(res) {
      if (res.code === 10000) {
        util.showToast('保存成功')
        that.setData({
          content: '',
          phone: '',
          qq: '',
          wechat: ''
        })
      } else {
        util.showToast('保存失败')
      }
    }, 'POST')
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})